package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 缴费明细表
 */
@Table(name = "outpatient_order_detail")
@Entity
public class OutpatientOrderDetail implements Serializable {
  private static final long serialVersionUID = 1L;

  @Id
  @Column(name = "id")
  private Integer id;

  /**
   * HIS 订单号
   */
  @Column(name = "his_order_no", nullable = false)
  private String hisOrderNo;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 更新时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 删除标识：0-未删除；1-已删除
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  /**
   * 明细项目名称
   */
  @Column(name = "name", nullable = false)
  private String name;

  /**
   * 价格
   */
  @Column(name = "price", nullable = false)
  private Integer price;

  /**
   * 明细代号
   */
  @Column(name = "code", nullable = false)
  private String code;

  /**
   * 明细数目
   */
  @Column(name = "number", nullable = false)
  private String number;

  /**
   * 明细规格
   */
  @Column(name = "spec", nullable = false)
  private String spec;

  /**
   * 明细单位
   */
  @Column(name = "unit", nullable = false)
  private String unit;

  /**
   * 明细数目
   */
  @Column(name = "totalFee", nullable = false)
  private Integer totalFee;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * HIS 订单号
   */
  public String getHisOrderNo() {
    return hisOrderNo;
  }

  /**
   * HIS 订单号
   */
  public void setHisOrderNo(String hisOrderNo) {
    this.hisOrderNo = hisOrderNo;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 更新时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 更新时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  /**
   * 删除标识：0-未删除；1-已删除
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 删除标识：0-未删除；1-已删除
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  /**
   * 明细项目名称
   */
  public String getName() {
    return name;
  }

  /**
   * 明细项目名称
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * 价格
   */
  public Integer getPrice() {
    return price;
  }

  /**
   * 价格
   */
  public void setPrice(Integer price) {
    this.price = price;
  }

  /**
   * 明细代号
   */
  public String getCode() {
    return code;
  }

  /**
   * 明细代号
   */
  public void setCode(String code) {
    this.code = code;
  }

  /**
   * 明细数目
   */
  public String getNumber() {
    return number;
  }

  /**
   * 明细数目
   */
  public void setNumber(String number) {
    this.number = number;
  }

  /**
   * 明细规格
   */
  public String getSpec() {
    return spec;
  }

  /**
   * 明细规格
   */
  public void setSpec(String spec) {
    this.spec = spec;
  }

  /**
   * 明细单位
   */
  public String getUnit() {
    return unit;
  }

  /**
   * 明细单位
   */
  public void setUnit(String unit) {
    this.unit = unit;
  }

  /**
   * 明细数目
   */
  public Integer getTotalFee() {
    return totalFee;
  }

  /**
   * 明细数目
   */
  public void setTotalFee(Integer totalFee) {
    this.totalFee = totalFee;
  }

  public String toString() {
    return "OutpatientOrderDetail{id=" + id + 
      ", hisOrderNo=" + hisOrderNo + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      ", deleted=" + deleted + 
      ", name=" + name + 
      ", price=" + price + 
      ", code=" + code + 
      ", number=" + number + 
      ", spec=" + spec + 
      ", unit=" + unit + 
      ", totalFee=" + totalFee + 
      "}";
  }
}